Subject: Re: [bug#55662] [PATCH] Ignore temporary files created my macOS

From: Maxime Devos <[email-masked]>
Date: Thu, 26 May 2022 23:43:03 +0200

Liliana Marie Prikler schreef op do 26-05-2022 om 23:09 [+0200]:
> Am Donnerstag, dem 26.05.2022 um 23:24 +0300 schrieb Pavel Shlyak:
> > I hope so!
> > 
> > > 26 мая 2022 г., в 22:33, Liliana Marie Prikler
> > > <[email-masked]> написал(а):
> > > 
> > > Am Donnerstag, dem 26.05.2022 um 20:34 +0300 schrieb Pavel Shlyak:
> > > > Check https://en.wikipedia.org/wiki/.DS_Store and
> > > > https://stackoverflow.com/questions/107701/how-can-i-remove-ds-store-files-from-a-git-repository
> > > >  for more details
> > > Is there a realistic chance that anyone working on Guix will ever
> > > commit this to upstream?  Note that you can set up a global
> > > gitignore, e.g. under $XDG_CONFIG_HOME/git/ignore on Linux distros
> > > such as Guix System.
> Pardon my lack of clarity.  By "this" I meant a file that's exclusively
> produced by a proprietary operating system for no good reason (the
> .DS_Store).  I don't think any of our committers run a risk of
> accidentally pushing it, do they?

These files can clutter up "git status".  And they can be accidentally
committed by people without push access (e.g. with "git add .").

Greetings,
Maxime.